package com.steering.pss.sale.order.model;

/**
 * 品名基础表 实体类
 * 
 * @author Administrator
 * 
 */
public class BaseProductEntity {
	/**
	 * 品名类型
	 */
	private String producType;
	/**
	 * 产品大类(4049)
	 */
	private String producHead;
	/**
	 * 产品大类名称
	 */
	private String baseName;
	

	/**
	 * 品名代码
	 */
	private String produccodeOld;
	/**
	 * 品名简称(*)
	 */
	private String producJx;
	/**
	 * 品名英语名称(*)
	 */
	private String producEng;
	/**
	 * 品名代码
	 */
	private String produccode;
	/**
	 * 品名描述
	 */
	private String producname;
	/**
	 * 销售分类代码(4050)
	 */
	private String producStyle;
	/**
	 * 销售分类描述
	 */
	private String producDesc;
	/**
	 * 是否配接箍(与扣型中的是否接箍配合使用)
	 */
	private String havejg;
	/**
	 * 创建人
	 */
	private String createName;
	/**
	 * 创建时间
	 */
	private String createTime;
	/**
	 * 修改人
	 */
	private String updateName;
	/**
	 * 修改时间
	 */
	private String updateTime;
	/**
	 * 删除人
	 */
	private String deleteName;
	/**
	 * 删除时间
	 */
	private String deleteTime;
	/**
	 * 有效标志(1:有效，0:无效)
	 */
	private String validflag;
	/**
	 * 备注
	 */
	private String memo;

	public BaseProductEntity() {
		producType = "";
		producHead = "";
		baseName="";
		produccodeOld = "";
		producJx = "";
		producEng = "";
		produccode = "";
		producname = "";
		producStyle = "";
		producDesc = "";
		havejg = "";
		createName = "";
		createTime = "";
		updateName = "";
		updateTime = "";
		deleteName = "";
		deleteTime = "";
		validflag = "";
		memo = "";
	}

	/**
	 * 品名类型
	 * 
	 * @return value
	 */
	public String getProducType() {
		return producType;
	}

	/**
	 * 品名类型
	 * 
	 * @param producType
	 *            value
	 */
	public void setProducType(String producType) {
		this.producType = producType;
	}

	/**
	 * 产品大类(4049)
	 * 
	 * @return value
	 */
	public String getProducHead() {
		return producHead;
	}

	/**
	 * 产品大类(4049)
	 * 
	 * @param producHead
	 *            value
	 */
	public void setProducHead(String producHead) {
		this.producHead = producHead;
	}

	/**
	 * 品名代码
	 * 
	 * @return value
	 */
	public String getProduccodeOld() {
		return produccodeOld;
	}

	/**
	 * 品名代码
	 * 
	 * @param produccodeOld
	 *            value
	 */
	public void setProduccodeOld(String produccodeOld) {
		this.produccodeOld = produccodeOld;
	}

	/**
	 * 品名简称(*)
	 * 
	 * @return value
	 */
	public String getProducJx() {
		return producJx;
	}

	/**
	 * 品名简称(*)
	 * 
	 * @param producJx
	 *            value
	 */
	public void setProducJx(String producJx) {
		this.producJx = producJx;
	}

	/**
	 * 品名英语名称(*)
	 * 
	 * @return value
	 */
	public String getProducEng() {
		return producEng;
	}

	/**
	 * 品名英语名称(*)
	 * 
	 * @param producEng
	 *            value
	 */
	public void setProducEng(String producEng) {
		this.producEng = producEng;
	}

	/**
	 * 品名代码
	 * 
	 * @return value
	 */
	public String getProduccode() {
		return produccode;
	}

	/**
	 * 品名代码
	 * 
	 * @param produccode
	 *            value
	 */
	public void setProduccode(String produccode) {
		this.produccode = produccode;
	}

	/**
	 * 品名描述
	 * 
	 * @return value
	 */
	public String getProducname() {
		return producname;
	}

	/**
	 * 品名描述
	 * 
	 * @param producname
	 *            value
	 */
	public void setProducname(String producname) {
		this.producname = producname;
	}

	/**
	 * 销售分类代码(4050)
	 * 
	 * @return value
	 */
	public String getProducStyle() {
		return producStyle;
	}

	/**
	 * 销售分类代码(4050)
	 * 
	 * @param producStyle
	 *            value
	 */
	public void setProducStyle(String producStyle) {
		this.producStyle = producStyle;
	}

	/**
	 * 销售分类描述
	 * 
	 * @return value
	 */
	public String getProducDesc() {
		return producDesc;
	}

	/**
	 * 销售分类描述
	 * 
	 * @param producDesc
	 *            value
	 */
	public void setProducDesc(String producDesc) {
		this.producDesc = producDesc;
	}

	/**
	 * 是否配接箍(与扣型中的是否接箍配合使用)
	 * 
	 * @return value
	 */
	public String getHavejg() {
		return havejg;
	}

	/**
	 * 是否配接箍(与扣型中的是否接箍配合使用)
	 * 
	 * @param havejg
	 *            value
	 */
	public void setHavejg(String havejg) {
		this.havejg = havejg;
	}

	/**
	 * 创建人
	 * 
	 * @return value
	 */
	public String getCreateName() {
		return createName;
	}

	/**
	 * 创建人
	 * 
	 * @param createName
	 *            value
	 */
	public void setCreateName(String createName) {
		this.createName = createName;
	}

	/**
	 * 创建时间
	 * 
	 * @return value
	 */
	public String getCreateTime() {
		return createTime;
	}

	/**
	 * 创建时间
	 * 
	 * @param createTime
	 *            value
	 */
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	/**
	 * 修改人
	 * 
	 * @return value
	 */
	public String getUpdateName() {
		return updateName;
	}

	/**
	 * 修改人
	 * 
	 * @param updateName
	 *            value
	 */
	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	/**
	 * 修改时间
	 * 
	 * @return value
	 */
	public String getUpdateTime() {
		return updateTime;
	}

	/**
	 * 修改时间
	 * 
	 * @param updateTime
	 *            value
	 */
	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}

	/**
	 * 删除人
	 * 
	 * @return value
	 */
	public String getDeleteName() {
		return deleteName;
	}

	/**
	 * 删除人
	 * 
	 * @param deleteName
	 *            value
	 */
	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	/**
	 * 删除时间
	 * 
	 * @return value
	 */
	public String getDeleteTime() {
		return deleteTime;
	}

	/**
	 * 删除时间
	 * 
	 * @param deleteTime
	 *            value
	 */
	public void setDeleteTime(String deleteTime) {
		this.deleteTime = deleteTime;
	}

	/**
	 * 有效标志(1:有效，0:无效)
	 * 
	 * @return value
	 */
	public String getValidflag() {
		return validflag;
	}

	/**
	 * 有效标志(1:有效，0:无效)
	 * 
	 * @param validflag
	 *            value
	 */
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/**
	 * 备注
	 * 
	 * @return value
	 */
	public String getMemo() {
		return memo;
	}

	/**
	 * 备注
	 * 
	 * @param memo
	 *            value
	 */
	public void setMemo(String memo) {
		this.memo = memo;
	}
	public String getBaseName() {
		return baseName;
	}

	public void setBaseName(String baseName) {
		this.baseName = baseName;
	}
}
